(function () {
	var lang = document.getElementsByTagName("html")[0].getAttribute("lang");
	if (lang !== 'en')
		tinymce.PluginManager.requireLangPack('xhplugincall', lang + ',de');
	tinymce.PluginManager.add('xhplugincall', function (editor, url) {
		editor.settings.content_css += ', ' + url + '/style.css';
		editor.addButton('xhplugincall', {
			text: false,
			icon: false,
			image: url + '/xhplugincall.svg',
			tooltip: 'Insert/edit a XH plugin call',
			onclick: function () {
				var initial = editor.selection.getContent().match(/\{{3}(.*)\}{3}/);
				editor.windowManager.open({
					title: 'Insert/edit a XH plugin call',
					body: [{
							type: 'container',
							minWidth: 450,
							layout: 'flow',
							items: [{
									type: 'label',
									text: 'Insert/edit the XH plugin call here - without {{{}}}',
									style: 'display:block;margin-bottom:1em;'
								}, {
									type: 'textbox',
									name: 'title',
									style: 'width:97%',
									value: initial ? initial[1] : ""
								}
							]
						}
					],
					onsubmit: function (e) {
						if (e.data.title.length) {
							editor.insertContent('<span class="xhplugincall mceNonEditable" lang="' + lang + '">{{{' + e.data.title + '}}}</span>');
						} else
							editor.insertContent('');
					}
				});
			}
		});
    editor.on('BeforeSetContent',function(e){
      if (e.load) {
        e.content=e.content.replace(/\{{3}.*?\}{3}/g,'<span class="xhplugincall mceNonEditable" lang="' + lang + "\">$&</span>");
      }
    });
    editor.on('GetContent',function(e){
      if (e.save) {
        e.content = e.content.replace(/\<span class="xhplugincall mceNonEditable".*\>+?(.*?)\<\/span\>+?/g,"$1");
      }
    });
	});
})();
